// © Roman Vernik (Usethics), Russia

#targetengine "session"

with (app) {
	// Название пункта меню берется из имени файла
	menuName = activeScript.displayName.substring(0, activeScript.displayName.indexOf(".js", 0));
	
	// Добавляем действие, если его ещё нет
	if ((menuAction = app.scriptMenuActions.itemByName(menuName)) == null) {
		menuAction = app.scriptMenuActions.add(menuName);
	}

	// Привязываем к действию процедуру
	menuAction.eventListeners.add("onInvoke", menuOnInvoke);
	
	// Добавялем пункт меню
	app.menus.item("$ID/RtMouseLayout").menuItems.add(menuAction);
}

function menuOnInvoke() {
	try {
		var oldSelection = app.selection;
		for (i = 0; i < oldSelection.length; i++) {
			oldObject = oldSelection[i];
			oldBounds = oldObject.geometricBounds;
			app.pasteInPlace();
			app.selection[0].move([oldBounds[1], oldBounds[0]])
			oldObject.remove();
		}
	} catch(e) {}
}